import { Request, Response } from 'express';
import { CreateIpWhitelistDto, UpdateIpWhitelistDto } from './ip-whitelist.dto';
import { IpWhitelistService } from './ip-whitelist.service';
export declare class IpWhitelistController {
    private readonly service;
    constructor(service: IpWhitelistService);
    detectClientIp(req: Request, ip: string, res: Response): Promise<Response<any, Record<string, any>>>;
    getAll(owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    create(body: CreateIpWhitelistDto, owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    update(id: string, body: UpdateIpWhitelistDto, owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    delete(id: string, owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
}
